crash trying to access leaderboard [@ 0x30096b42] [@ PluginWindowEvent_Handle]

RESOLVED INCOMPLETE

Status

()

--
critical
RESOLVED INCOMPLETE
13 years ago
7 years ago

People

(Reporter: bob.miller, Unassigned)

Tracking

({crash})

1.5.0.x Branch
x86
Windows XP
crash
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(crash signature, URL)

(Reporter)

Description

13 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.4) Gecko/20060508 Firefox/1.5.0.4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.4) Gecko/20060508 Firefox/1.5.0.4

Click on "full leadeboard" and windows XP error message pops up which then closes Firefox. This si new in 1.5.0.4. I've been a Firefox user from the beginning thru many versions - first I've seen of this

Reproducible: Always

Actual Results:  
XP error messge, Firefox closes

Expected Results:  
SHould open a new window with the LPGA leaderboard
Component: Software Update → General
QA Contact: software.update → general
I see this in 1.5.0.4 and in branch:
TB19428210Z  TB19428402H  TB19428683X  TB19428643G
Severity: normal → critical
Keywords: crash
Confirming - I see the crash on 1.5.0.4 Windows but not on Mac.
Status: UNCONFIRMED → NEW
Ever confirmed: true
This is happening with today's Windows Bon Echo build as well (20060602). Too bad bugzilla doesn't allow multi-version select...
Version: unspecified → 1.5.0.x Branch
Incident ID: 19428643
Stack Signature	0x30096b42 0893fa64
Product ID	Firefox2
Build ID	2006060204
Trigger Time	2006-06-02 12:40:51.0
Platform	Win32
Operating System	Windows NT 5.1 build 2600
Module	
URL visited	
User Comments	
Since Last Crash	26 sec
Total Uptime	317 sec
Trigger Reason	Access violation
Source File, Line No.	N/A
Stack Trace 	
0x30096b42
USER32.dll + 0x8734 (0x77d18734)
USER32.dll + 0x8816 (0x77d18816)
USER32.dll + 0xc63f (0x77d1c63f)
USER32.dll + 0xe905 (0x77d1e905)
PluginWindowEvent_Handle  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/modules/plugin/base/src/nsPluginNativeWindowWin.cpp, line 422]
PL_HandleEvent  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/xpcom/threads/plevent.c, line 689]
0x778b0c24
0x00200064
0xb0e8cf8b

It regressed in branch between 1.8_2006050504 and 1.8_2006050704.
Did some random checks in trunk but could not find it.
Summary: Firefox latest (1.5.0.4) gives XP error message when trying to access leaderboard → Firefox latest (1.5.0.4) gives XP error message when trying to access leaderboard [@ 0x30096b42]

Updated

13 years ago
Summary: Firefox latest (1.5.0.4) gives XP error message when trying to access leaderboard [@ 0x30096b42] → Firefox latest (1.5.0.4) gives XP error message when trying to access leaderboard [@ 0x30096b42] [@ PluginWindowEvent_Handle]
(In reply to comment #5)
> 
Between 1.8.0.4_2006050404 and 1.8.0.4_2006050410.
(In reply to comment #6)
> (In reply to comment #5)
> > 
> Between 1.8.0.4_2006050404 and 1.8.0.4_2006050410.

That's strange, I see no checkins at all in that range except for an XForms change, which isn't built by default. If I widen the range a bit to between 2006-05-04 00:00 and 2006-05-04 14:00, I still only see two more checkins: a Thunderbird version change, and an unrelated, simple SSL fix.

Ria: are you sure that 1.8.0 range is correct?
(In reply to comment #7)
>
It does not crash always. The only thing I'm sure of is that I saw a crash in 1.8.0.4_2006050410 but not in 1.8.0.4_2006050404 after trying it repeatedly. 
6 times or so. :)
Oh well, now I see a crash in one build earlier, 1.8.0.4_2006050204, the first time I tried, so I don't think regression ranges are useful in this case.
This is not a recent crash. I see it also in the 1.5 release.
Summary: Firefox latest (1.5.0.4) gives XP error message when trying to access leaderboard [@ 0x30096b42] [@ PluginWindowEvent_Handle] → Firefox gives XP error message when trying to access leaderboard [@ 0x30096b42] [@ PluginWindowEvent_Handle]

Updated

12 years ago
Summary: Firefox gives XP error message when trying to access leaderboard [@ 0x30096b42] [@ PluginWindowEvent_Handle] → crash trying to access leaderboard [@ 0x30096b42] [@ PluginWindowEvent_Handle]

Comment 11

11 years ago
Content removed by administrator.  Reason: spam

Comment 12

8 years ago
Comment #11 is spam.
(Assignee)

Updated

7 years ago
Crash Signature: [@ 0x30096b42] [@ PluginWindowEvent_Handle]

Comment 13

7 years ago
I can't reproduce with current trunk on vista
Can anyone else?
Crash Signature: [@ 0x30096b42] [@ PluginWindowEvent_Handle] → [@ 0x30096b42] [@ PluginWindowEvent_Handle]
Whiteboard: [closeme 2012-03-15]

Comment 14

7 years ago
Resolved per whiteboard
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → INCOMPLETE
Whiteboard: [closeme 2012-03-15]
You need to log in before you can comment on or make changes to this bug.